Permalink
Browse files

Version bump 1.2.0 and compatability fix for mongoid 2.1

  • Loading branch information...
1 parent f178e98 commit df21975b9e923857565119813934f62329a6c6a8 @potatosalad committed Aug 1, 2011
Showing with 13 additions and 12 deletions.
  1. +8 −7 Gemfile.lock
  2. +2 −2 lib/mongoid/data_table/proxy.rb
  3. +1 −1 lib/mongoid/data_table/version.rb
  4. +2 −2 mongoid-data_table.gemspec
View
@@ -1,7 +1,7 @@
PATH
remote: .
specs:
- mongoid-data_table (1.1.1)
+ mongoid-data_table (1.2.0)
kaminari (~> 0.12.4)
rails (>= 3.0.0)
@@ -54,11 +54,11 @@ GEM
mocha (0.9.12)
mongo (1.3.1)
bson (>= 1.3.1)
- mongoid (2.0.2)
+ mongoid (2.1.2)
activemodel (~> 3.0)
mongo (~> 1.3)
tzinfo (~> 0.3.22)
- polyglot (0.3.1)
+ polyglot (0.3.2)
rack (1.2.3)
rack-mount (0.6.14)
rack (>= 1.0.0)
@@ -79,7 +79,7 @@ GEM
rdoc (~> 3.4)
thor (~> 0.14.4)
rake (0.9.2)
- rdoc (3.8)
+ rdoc (3.9.1)
rspec (2.6.0)
rspec-core (~> 2.6.0)
rspec-expectations (~> 2.6.0)
@@ -90,7 +90,8 @@ GEM
rspec-mocks (2.6.0)
shoulda (2.11.3)
thor (0.14.6)
- treetop (1.4.9)
+ treetop (1.4.10)
+ polyglot
polyglot (>= 0.3.1)
tzinfo (0.3.29)
watchr (0.7)
@@ -99,9 +100,9 @@ PLATFORMS
ruby
DEPENDENCIES
- bson_ext (~> 1.3.1)
+ bson_ext (~> 1.3)
mocha (~> 0.9.12)
- mongoid (~> 2.0.2)
+ mongoid (~> 2.1)
mongoid-data_table!
rspec (~> 2.6.0)
shoulda (~> 2.11.3)
@@ -83,7 +83,7 @@ def order_by_conditions
def filter_conditions
return unless (query = params[:sSearch]).present?
- b_regex = Boolean.set(params["bRegex"])
+ b_regex = Mongoid::Serialization.mongoize(params["bRegex"], Boolean)
{
"$or" => klass.data_table_searchable_fields.map { |field|
@@ -101,7 +101,7 @@ def filter_field_conditions
#field_type = field.respond_to?(:type) ? field.type : Object
query = params["sSearch_#{i}"]
- b_regex = Boolean.set(params["bRegex_#{i}"])
+ b_regex = Mongoid::Serialization.mongoize(params["bRegex_#{i}"], Boolean)
h[field_name] = (b_regex === true) ? data_table_regex(query) : query if query.present?
h
@@ -1,5 +1,5 @@
module Mongoid
module DataTable
- VERSION = "1.1.1"
+ VERSION = "1.2.0"
end
end
@@ -19,8 +19,8 @@ Gem::Specification.new do |s|
s.add_dependency "rails", ">= 3.0.0"
s.add_dependency "kaminari", "~> 0.12.4"
- s.add_development_dependency "bson_ext", "~>1.3.1"
- s.add_development_dependency "mongoid", "~>2.0.2"
+ s.add_development_dependency "bson_ext", "~>1.3"
+ s.add_development_dependency "mongoid", "~>2.1"
s.add_development_dependency "mocha", "~>0.9.12"
s.add_development_dependency "rspec", "~>2.6.0"
s.add_development_dependency "shoulda", "~>2.11.3"

0 comments on commit df21975

Please sign in to comment.